<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Smart Folder: Référence de la structure node_t</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Smart Folder
   &#160;<span id="projectnumber">0.1</span>
   </div>
   <div id="projectbrief">Un répertoire virtuel de recherche de fichiers</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Généré par Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Recherche');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Recherche');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('structnode__t.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="header">
  <div class="summary">
<a href="#pub-attribs">Champs de données</a>  </div>
  <div class="headertitle">
<div class="title">Référence de la structure node_t</div>  </div>
</div><!--header-->
<div class="contents">

<p>Représente un noeud d'une liste.  
 <a href="structnode__t.html#details">Plus de détails...</a></p>

<p><code>#include &lt;<a class="el" href="list_8h_source.html">list.h</a>&gt;</code></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Champs de données</h2></td></tr>
<tr class="memitem:aa69340d9d81a183ddfbfec74a7524966"><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnode__t.html#aa69340d9d81a183ddfbfec74a7524966">data</a></td></tr>
<tr class="separator:aa69340d9d81a183ddfbfec74a7524966"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aca548c9bafe54ba9db19d40a7a7f1cb3"><td class="memItemLeft" align="right" valign="top">struct <a class="el" href="structnode__t.html">node_t</a> *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structnode__t.html#aca548c9bafe54ba9db19d40a7a7f1cb3">next</a></td></tr>
<tr class="separator:aca548c9bafe54ba9db19d40a7a7f1cb3"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Description détaillée</h2>
<div class="textblock"><p>Représente un noeud d'une liste. </p>
</div><h2 class="groupheader">Documentation des champs</h2>
<a id="aa69340d9d81a183ddfbfec74a7524966"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa69340d9d81a183ddfbfec74a7524966">&#9670;&nbsp;</a></span>data</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* node_t::data</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Données </p>

</div>
</div>
<a id="aca548c9bafe54ba9db19d40a7a7f1cb3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aca548c9bafe54ba9db19d40a7a7f1cb3">&#9670;&nbsp;</a></span>next</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct <a class="el" href="structnode__t.html">node_t</a>* node_t::next</td>
        </tr>
      </table>
</div><div class="memdoc">
<p>Noeud suivant </p>

</div>
</div>
<hr/>La documentation de cette structure a été générée à partir du fichier suivant :<ul>
<li>inc/<a class="el" href="list_8h_source.html">list.h</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="structnode__t.html">node_t</a></li>
    <li class="footer">Généré par
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.13 </li>
  </ul>
</div>
</body>
</html>
